Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"5a33f924-cfeb-4aac-9e98-9561cda87ba4","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["aa57effd-3aef-453a-8d62-071963590a13"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"9784a529-8531-446d-a15a-e53a3cb259be","url":null,"userId":"46c35dac-8b7a-4e16-b53b-3be9b1b5b7c7","userUrl":null,"categoryId":"2a49e0d0-924d-489a-921a-a14b7ef1cf70","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-15T08:32:39.9173301+00:00","lastModifiedDateTime":"2026-10-16T04:32:39.9173301+00:00","availableFrom":"2026-10-16T08:32:39","startDateTimeZone":null,"availableUntil":"2026-10-17T08:32:39","endDateTimeZone":null,"medias":[{"id":"035c0d84-62d9-4d82-a0e2-6d34ad0b6b8f","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"0e97498e-d0bb-4ede-a149-d24b16aa312e","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"2e72e4cd-39d7-40e3-a158-7fc9319ff232","url":null},{"type":"Department","name":"Department name example","id":"bdba1950-df52-43ae-99ae-af26796988ce","url":null},{"type":"User group","name":"User group name example","id":"4243101d-522b-468e-8d4e-aeed0b9e317b","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"afdbbdbe-89c3-484e-88a3-34a2f6089fb1"}],"userGroups":[{"url":null,"name":"User group name example","id":"8babd8f2-249e-44b1-956a-a75a5fcd316c"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string